Subject: bug#28405: Inhibit auto-fill & LaTeX-indent-environment-list

From: David Kastrup <[email-masked]>
Date: Sun, 10 Sep 2017 13:22:42 +0200

David Kastrup <[email-masked]> writes:

> [email-masked] writes:
>
>> Dear All,
>>
>> – Not really a bug:
>>
>> I have auto-fill mode on when editing tex files in LaTeX mode. I'd
>> like to inhibit the fill functions within math environments like
>> "equation", "gather", "align", though.
>>
>> One way to achieve this is given by Thomas here:
>>
>> https://tex.stackexchange.com/questions/69555/i-want-to-disable-auto-fill-mode-when-editing-equations#11480465
>>
>> This solution works with "equation" and "align", but strangely not
>> with "gather" and "multline". The reason, I think, is that the latter
>> are not included in LaTeX-indent-environment-list in its
>> standard/global value, while "align" and "equation" are. I can
>> customize and include them manually, but is there a reason why gather
>> and multline aren't included?
>
> In my default setting, align is _not_ included; you likely added it
> yourself.

I have to take that back after updating the AUCTeX repository.  There is

1100cd8c1 (Tassilo Horn                   2013-10-14 11:42:31 +0200 3130)     ("align" LaTeX-indent-tabular)
1100cd8c1 (Tassilo Horn                   2013-10-14 11:42:31 +0200 3131)     ("align*" LaTeX-indent-tabular)

in latex.el.  The rest, however, holds:

> It is the job of amsmath.el to include most of those settings, so it's
> likely that you haven't document parsing enabled and/or working.
>
> See the first page of AUCTeX's documentation for more info.

-- 
David Kastrup